/*
// Created by Lucile on 02/03/2021.
*/

/*!
 * \file DS.c
 * \brief Exam Source File
 * \authors Lucile
 * \version 1
 * \date 02/03/2021
 *
 * Character function implementation.
 *
 */

#include <stdio.h>
#include <SDL2/SDL.h>
#include <SDL2/SDL_image.h>
#include "DS.h"

/*!
 * \fn int init_DS(DS * exam, int door_DS, char * path)
 * \brief This function initialize a DS : position (the door number) and the path to the DS's image.
 *
 * \param [in] exam a DS pointer
 * \param [in] door_DS a door number corresponding to the DS location
 * \param [in] path the DS image path
 * \return 1 if the initialization went right.
 */

void init_DS(DS * exam, int door_DS, char * path){
    exam->door=door_DS;
    exam->image_DS = malloc(strlen(path));
    strcpy(exam->image_DS, path);

    switch (exam->door)
    {
        case 1:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 2:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 3:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 4:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 5:
            exam->x_DS = 48;
            exam->y_DS= 90;
            exam->larg_DS= 13;
            exam->long_DS= 5;
            break;
        case 6:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 7:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;
        case 8:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 9:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 10:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;
        case 11:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 12:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 13:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 14:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 15:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;
        case 16:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 17:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;
        case 18:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 19:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 20:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 21:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 22:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 23:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 24:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 25:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;
        case 26:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 27:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;
        case 28:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 29:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 30:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

    }

}